Topic: Possible Missing Dependency

When we attempt to update our ImageMagick install with the latest packages, it fails due to:

Processing Dependency: libwebp7-devel(x86-64) for package: ImageMagick6-devel-6.9.10.34-1.el7.remi.x86_64

A yum search only shows the main package:

libwebp7.x86_64 : Library and tools for the WebP graphics format

Is there a libwebp7-devel package posted?

Thanks!

Re: Possible Missing Dependency

It is there => https://rpms.remirepo.net/enterprise/7/ … devel.html

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Possible Missing Dependency

Thank you. Must be a mirror issue then as still not seeing it via yum after a yum clean all.

Thanks!

Re: Possible Missing Dependency

It is strange, as it is in the same repo than  ImageMagick6-devel (i.e. "remi")

# LANG=C yum list --enablerepo=remi libwebp7\* ImageMagick6\*
Installed Packages
ImageMagick6-libs.x86_64                                                       6.9.10.34-1.el7.remi                                                  @remi-safe
ImageMagick6-perl.x86_64                                                       6.9.10.34-1.el7.remi                                                  installed 
libwebp7.x86_64                                                                1.0.2-1.el7.remi                                                      @remi-safe
Available Packages
ImageMagick6.x86_64                                                            6.9.10.34-1.el7.remi                                                  remi      
ImageMagick6-c++.x86_64                                                        6.9.10.34-1.el7.remi                                                  remi      
ImageMagick6-c++-devel.x86_64                                                  6.9.10.34-1.el7.remi                                                  remi      
ImageMagick6-devel.x86_64                                                      6.9.10.34-1.el7.remi                                                  remi      
ImageMagick6-djvu.x86_64                                                       6.9.10.34-1.el7.remi                                                  remi      
ImageMagick6-doc.x86_64                                                        6.9.10.34-1.el7.remi                                                  remi      
libwebp7-devel.x86_64                                                          1.0.2-1.el7.remi                                                      remi      
libwebp7-tools.x86_64                                                          1.0.2-1.el7.remi                                                      remi      
Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Possible Missing Dependency

Thanks. Can see it now but getting:

---> Package libwebp7-devel.x86_64 0:1.0.2-1.el7.remi will be installed
--> Processing Conflict: libwebp7-devel-1.0.2-1.el7.remi.x86_64 conflicts libwebp-devel < 1.0.2
--> Finished Dependency Resolution
Error: libwebp7-devel conflicts with libwebp-devel-0.3.0-7.el7.x86_64

Will have to dig deeper on our end to see what's going on.

Re: Possible Missing Dependency

You probably don't need this -devel packages, which are only needed to build extensions (e.g. php-pecl-imagick) which are already in the repostiory

So simply remove them.

The conflicts are there by design (multiple versions of the library can be installed simultaneously, a single version of the devel package)

P.S. and the reason why, they are not in the "safe" repository.

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Possible Missing Dependency

Thanks, will do.

Re: Possible Missing Dependency

Thanks for the help/assistance. All is as it should be now after removing libwebp-devel so libwebp7-devel could be installed. It looks like our initial issue of not seeing the package in the repo was due to an includepkgs statement (since updated).

Re: Possible Missing Dependency

fixed, great.

closing

Desktop: Fedora 29 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 30 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test